eclipticalToEquatorial {oce} | R Documentation

## Convert ecliptical to equatorial coordinate

### Description

Convert from ecliptical to equatorial coordinates

### Usage

    eclipticalToEquatorial(lambda, beta, epsilon)

### Arguments

`lambda` | longitude, in degrees, or a data frame containing `lambda`, `beta`, and `epsilon`, in which case the next to arguments are ignored.
`beta` | geocentric latitude, in degrees
`epsilon` | obliquity of the ecliptic, in degrees

### Details

The method is taken from equations 8.3 and 8.4 of [1], or, equivalently, from equations 12.3 and 12.4 of [2].

### Value

A data frame containing columns `rightAscension` and `declination` both in degrees.

### Author(s)

Dan Kelley, based on formulae in [1] and [2].

### References

1. Meeus, Jean, 1982. Astronomical formuae for Calculators. Willmann-Bell. Richmond VA, USA. 201 pages.

2. Meeus, Jean, 1991. Astronomical algorithms. Willmann-Bell, Richmond VA, USA. 429 pages.

[Package oce version 0.9-18 Index]